changeset 60:2820aab8b9c8 draft

Uploaded
author stef
date Fri, 27 Feb 2015 06:31:30 -0500
parents 73eda23fb8fd
children 77979fe362c0
files falco-call.xml falco-filter-report.xml falco/bin/falco falco/data/HCT-116/HCT116.bam falco/data/HCT-116/HCT116.bam.bai
diffstat 5 files changed, 12 insertions(+), 5 deletions(-) [+]
line wrap: on
line diff
--- a/falco-call.xml	Wed Feb 25 08:50:56 2015 -0500
+++ b/falco-call.xml	Fri Feb 27 06:31:30 2015 -0500
@@ -91,9 +91,9 @@
   <outputs>
     <data format="html" name="html_output" label="FALCO-calling (${jobName})" />
     <data format="vcf" name="vcf_output" label="FALCO-calling (${jobName}): VCF" />
-    <data format="txt" name="qc_ann_qual_output" label="FALCO-calling (${jobName}): qc_ann_qual" />
-    <data format="txt" name="qc2_ann_txt_output" label="FALCO-calling (${jobName}): qc2_ann" />
-    <data format="txt" name="qc_targets_txt_output" label="FALCO-calling (${jobName}): qc_targets" />
+    <data format="tsv" name="qc_ann_qual_output" label="FALCO-calling (${jobName}): qc_ann_qual" />
+    <data format="tsv" name="qc2_ann_txt_output" label="FALCO-calling (${jobName}): qc2_ann" />
+    <data format="tsv" name="qc_targets_txt_output" label="FALCO-calling (${jobName}): qc_targets" />
   </outputs>
 
   <!-- ==================== -->
--- a/falco-filter-report.xml	Wed Feb 25 08:50:56 2015 -0500
+++ b/falco-filter-report.xml	Fri Feb 27 06:31:30 2015 -0500
@@ -1,4 +1,4 @@
-<tool id="falco-call" name="falco-call" version="0.0.1">
+<tool id="falco-report" name="falco-report" version="0.0.1">
   
   <requirements>
     
--- a/falco/bin/falco	Wed Feb 25 08:50:56 2015 -0500
+++ b/falco/bin/falco	Fri Feb 27 06:31:30 2015 -0500
@@ -22,9 +22,16 @@
 	"filter=s" => \$locifilt,
 	"manifest=s" => \$manifest,
 	"output=s" => \$base,
-	)
+)
 or die("Error in command line arguments\n");
 
+## sanity checks
+unless ( -f $ref ){
+	print STDERR "Genome Reference file not found [$ref]\n";
+	exit 1;
+}
+
+
 # Set paths to external script 
 # TODO make modules
 
Binary file falco/data/HCT-116/HCT116.bam has changed
Binary file falco/data/HCT-116/HCT116.bam.bai has changed